window.Gleam.initSearch([{"doc":"spinner","title":"spinner","content":"# spinner\n\n[![Package Version](https://img.shields.io/hexpm/v/spinner)](https://hex.pm/packages/spinner)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/spinner/)\n\n![The spinner running in a terminal](spinner.gif)\n\nAnimated progress spinners for your console.\n\nWorks on both Erlang and JavaScript runtimes.\n```sh\ngleam add spinner\n```\n```gleam\nimport spinner\nimport gleam_community/ansi\n\npub fn main() {\n  let spinner =\n    spinner.new(&quot;Reticulating 3-Dimensional Splines&quot;)\n    |&gt; spinner.with_colour(ansi.yellow)\n    |&gt; spinner.start\n\n  // Do some stuff while the spinner runs...\n\n  // The spinner text can be changed\n  spinner.set_text(spinner, &quot;Collecting Meteor Particles&quot;)\n\n  // Finish it when you&#39;re done\n  spinner.stop(spinner)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/spinner&gt;.\n","url":"index.html"},{"doc":"spinner","title":"Builder","content":"pub opaque type Builder\n\n\nSynonyms:\nspinner.Builder\nspinner Builder","url":"spinner.html#Builder"},{"doc":"spinner","title":"Spinner","content":"pub opaque type Spinner\n\n\nSynonyms:\nspinner.Spinner\nspinner Spinner","url":"spinner.html#Spinner"},{"doc":"spinner","title":"clock_frames","content":"pub const clock_frames: List(String) = [\n  &quot;🕛&quot;, &quot;🕐&quot;, &quot;🕑&quot;, &quot;🕒&quot;, &quot;🕓&quot;, &quot;🕔&quot;, &quot;🕕&quot;, &quot;🕖&quot;,\n  &quot;🕗&quot;, &quot;🕘&quot;, &quot;🕙&quot;, &quot;🕚&quot;,\n]\n\nSynonyms:\nspinner.clock_frames\nspinner clock_frames","url":"spinner.html#clock_frames"},{"doc":"spinner","title":"half_circle_frames","content":"pub const half_circle_frames: List(String) = [\n  &quot;◐&quot;, &quot;◓&quot;, &quot;◑&quot;, &quot;◒&quot;,\n]\n\nSynonyms:\nspinner.half_circle_frames\nspinner half_circle_frames","url":"spinner.html#half_circle_frames"},{"doc":"spinner","title":"moon_frames","content":"pub const moon_frames: List(String) = [\n  &quot;🌑&quot;, &quot;🌒&quot;, &quot;🌓&quot;, &quot;🌔&quot;, &quot;🌕&quot;, &quot;🌖&quot;, &quot;🌗&quot;, &quot;🌘&quot;,\n]\n\nSynonyms:\nspinner.moon_frames\nspinner moon_frames","url":"spinner.html#moon_frames"},{"doc":"spinner","title":"negative_dots_frames","content":"pub const negative_dots_frames: List(String) = [\n  &quot;⣾&quot;, &quot;⣽&quot;, &quot;⣻&quot;, &quot;⢿&quot;, &quot;⡿&quot;, &quot;⣟&quot;, &quot;⣯&quot;, &quot;⣷&quot;,\n]\n\nSynonyms:\nspinner.negative_dots_frames\nspinner negative_dots_frames","url":"spinner.html#negative_dots_frames"},{"doc":"spinner","title":"snake_frames","content":"pub const snake_frames: List(String) = [\n  &quot;⠋&quot;, &quot;⠙&quot;, &quot;⠹&quot;, &quot;⠸&quot;, &quot;⠼&quot;, &quot;⠴&quot;, &quot;⠦&quot;, &quot;⠧&quot;, &quot;⠇&quot;,\n  &quot;⠏&quot;,\n]\n\nSynonyms:\nspinner.snake_frames\nspinner snake_frames","url":"spinner.html#snake_frames"},{"doc":"spinner","title":"triangle_frames","content":"pub const triangle_frames: List(String) = [\n  &quot;◢&quot;, &quot;◣&quot;, &quot;◤&quot;, &quot;◥&quot;,\n]\n\nSynonyms:\nspinner.triangle_frames\nspinner triangle_frames","url":"spinner.html#triangle_frames"},{"doc":"spinner","title":"walking_frames","content":"pub const walking_frames: List(String) = [\n  &quot;⢄&quot;, &quot;⢂&quot;, &quot;⢁&quot;, &quot;⡁&quot;, &quot;⡈&quot;, &quot;⡐&quot;, &quot;⡠&quot;,\n]\n\nSynonyms:\nspinner.walking_frames\nspinner walking_frames","url":"spinner.html#walking_frames"},{"doc":"spinner","title":"new","content":"pub fn new(text: String) -&gt; Builder\n Start a spinner that runs concurrently in another Erlang process or\n JavaScript task.\n\nSynonyms:\nspinner.new\nspinner new","url":"spinner.html#new"},{"doc":"spinner","title":"set_colour","content":"pub fn set_colour(\n  spinner: Spinner,\n  colour: fn(String) -&gt; String,\n) -&gt; Nil\n\nSynonyms:\nspinner.set_colour\nspinner set_colour","url":"spinner.html#set_colour"},{"doc":"spinner","title":"set_text","content":"pub fn set_text(spinner: Spinner, text: String) -&gt; Nil\n\nSynonyms:\nspinner.set_text\nspinner set_text","url":"spinner.html#set_text"},{"doc":"spinner","title":"start","content":"pub fn start(builder: Builder) -&gt; Spinner\n\nSynonyms:\nspinner.start\nspinner start","url":"spinner.html#start"},{"doc":"spinner","title":"stop","content":"pub fn stop(spinner: Spinner) -&gt; Nil\n Stop the spinner, clearing the terminal line and showing the cursor. You\n may want to print a success message after this.\n\n This should be called before your program ends to re-enable the terminal\n cursor.\n\nSynonyms:\nspinner.stop\nspinner stop","url":"spinner.html#stop"},{"doc":"spinner","title":"with_colour","content":"pub fn with_colour(\n  builder: Builder,\n  colour: fn(String) -&gt; String,\n) -&gt; Builder\n\nSynonyms:\nspinner.with_colour\nspinner with_colour","url":"spinner.html#with_colour"},{"doc":"spinner","title":"with_frames","content":"pub fn with_frames(\n  builder: Builder,\n  frames: List(String),\n) -&gt; Builder\n\nSynonyms:\nspinner.with_frames\nspinner with_frames","url":"spinner.html#with_frames"},{"doc":"spinner","title":"spinner","content":"","url":"spinner.html"}]);